<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/editor/Workbench/BlameTool.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d6e/_blame_tool_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">BlameTool.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d6e/_blame_tool_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span>[<a class="code hl_class" href="../../d9/d5e/class_workbench_plugin_attribute.html">WorkbenchPluginAttribute</a>(<span class="stringliteral">&quot;SVN Blame&quot;</span>, <span class="stringliteral">&quot;Just for testing&quot;</span>, <span class="stringliteral">&quot;ctrl+b&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, {<span class="stringliteral">&quot;ScriptEditor&quot;</span>})]</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d5/d3f/class_s_v_n_blame_plugin.html">    2</a></span><span class="keyword">class</span> <a class="code hl_class" href="../../d5/d3f/class_s_v_n_blame_plugin.html">SVNBlamePlugin</a>: <a class="code hl_class" href="../../d3/d91/class_workbench_plugin.html">WorkbenchPlugin</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    [<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#d3/d0d/class_attribute">Attribute</a>(<span class="stringliteral">&quot;TortoiseProc /command:blame /path:$path /startrev:1 /endrev:\&quot;HEAD\&quot; /ignoreeol /ignoreallspaces /line:$line&quot;</span>, <span class="stringliteral">&quot;editbox&quot;</span>)]</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/d3f/class_s_v_n_blame_plugin.html#ae1589f35b99470adc9ecfd05d3ed2111">    5</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d5/d3f/class_s_v_n_blame_plugin.html#ae1589f35b99470adc9ecfd05d3ed2111">CommandLine</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/d3f/class_s_v_n_blame_plugin.html#a785ebb7bc4476c1813c11e2854e3cd3b">    7</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d3f/class_s_v_n_blame_plugin.html#a785ebb7bc4476c1813c11e2854e3cd3b">Run</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_class" href="../../db/d81/class_script_editor.html">ScriptEditor</a> mod = <a class="code hl_class" href="../../d6/d1a/class_workbench.html">Workbench</a>.<a class="code hl_function" href="../../d6/d1a/class_workbench.html#a8a71da4c69345bc6989c74a240443851">GetModule</a>(<span class="stringliteral">&quot;ScriptEditor&quot;</span>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">if</span> (mod)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            <span class="keywordtype">string</span> file;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            <span class="keywordtype">string</span> absPath;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="keywordflow">if</span> (mod.<a class="code hl_function" href="../../db/d81/class_script_editor.html#ac0d484a98586cf07d3450170acc050cc">GetCurrentFile</a>(file) &amp;&amp; <a class="code hl_class" href="../../d6/d1a/class_workbench.html">Workbench</a>.<a class="code hl_function" href="../../d6/d1a/class_workbench.html#af761e45de778987e066a89a4f7418ee0">GetAbsolutePath</a>(file, absPath))</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>                <span class="keywordtype">int</span> line = mod.<a class="code hl_function" href="../../db/d81/class_script_editor.html#ad6924679b247b967e10296d00298b907">GetCurrentLine</a>();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>                <span class="keywordtype">string</span> command = CommandLine;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                command.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga0280be725f595b7267367ded2b7c1725">Replace</a>(<span class="stringliteral">&quot;$path&quot;</span>, absPath);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>                command.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga0280be725f595b7267367ded2b7c1725">Replace</a>(<span class="stringliteral">&quot;$line&quot;</span>, (line + 1).<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>());</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                <a class="code hl_class" href="../../d6/d1a/class_workbench.html">Workbench</a>.<a class="code hl_function" href="../../d6/d1a/class_workbench.html#a58d4659a0977ae97e7427040c73b89bf">RunCmd</a>(command);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d5/d3f/class_s_v_n_blame_plugin.html#a74fa21da6c266be6ebd065dff14ac551">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d3f/class_s_v_n_blame_plugin.html#a74fa21da6c266be6ebd065dff14ac551">Configure</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_class" href="../../d6/d1a/class_workbench.html">Workbench</a>.<a class="code hl_function" href="../../d6/d1a/class_workbench.html#ab5d8eda73e7fe5071bc9ec75d0f06915">ScriptDialog</a>(<span class="stringliteral">&quot;Configure SVN Blame&quot;</span>, <span class="stringliteral">&quot;Usage: \n$path - will be replaced with file name\n$line - will be replaced with current line number&quot;</span>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    [<a class="code hl_class" href="../../dd/d1e/class_button_attribute.html">ButtonAttribute</a>(<span class="stringliteral">&quot;OK&quot;</span>)]</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d5/d3f/class_s_v_n_blame_plugin.html#a3a1e20206c009555930045e6c1a2e972">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d3f/class_s_v_n_blame_plugin.html#a3a1e20206c009555930045e6c1a2e972">OkButton</a>() {}</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>}</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="aclass_button_attribute_html"><div class="ttname"><a href="../../dd/d1e/class_button_attribute.html">ButtonAttribute</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df5/workbench_api_8c_source.html#l00108">workbenchApi.c:109</a></div></div>
<div class="ttc" id="aclass_s_v_n_blame_plugin_html"><div class="ttname"><a href="../../d5/d3f/class_s_v_n_blame_plugin.html">SVNBlamePlugin</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6e/_blame_tool_8c_source.html#l00002">BlameTool.c:3</a></div></div>
<div class="ttc" id="aclass_s_v_n_blame_plugin_html_a3a1e20206c009555930045e6c1a2e972"><div class="ttname"><a href="../../d5/d3f/class_s_v_n_blame_plugin.html#a3a1e20206c009555930045e6c1a2e972">SVNBlamePlugin::OkButton</a></div><div class="ttdeci">void OkButton()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6e/_blame_tool_8c_source.html#l00031">BlameTool.c:31</a></div></div>
<div class="ttc" id="aclass_s_v_n_blame_plugin_html_a74fa21da6c266be6ebd065dff14ac551"><div class="ttname"><a href="../../d5/d3f/class_s_v_n_blame_plugin.html#a74fa21da6c266be6ebd065dff14ac551">SVNBlamePlugin::Configure</a></div><div class="ttdeci">override void Configure()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6e/_blame_tool_8c_source.html#l00025">BlameTool.c:25</a></div></div>
<div class="ttc" id="aclass_s_v_n_blame_plugin_html_a785ebb7bc4476c1813c11e2854e3cd3b"><div class="ttname"><a href="../../d5/d3f/class_s_v_n_blame_plugin.html#a785ebb7bc4476c1813c11e2854e3cd3b">SVNBlamePlugin::Run</a></div><div class="ttdeci">override void Run()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6e/_blame_tool_8c_source.html#l00007">BlameTool.c:7</a></div></div>
<div class="ttc" id="aclass_s_v_n_blame_plugin_html_ae1589f35b99470adc9ecfd05d3ed2111"><div class="ttname"><a href="../../d5/d3f/class_s_v_n_blame_plugin.html#ae1589f35b99470adc9ecfd05d3ed2111">SVNBlamePlugin::CommandLine</a></div><div class="ttdeci">string CommandLine</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6e/_blame_tool_8c_source.html#l00005">BlameTool.c:5</a></div></div>
<div class="ttc" id="aclass_script_editor_html"><div class="ttname"><a href="../../db/d81/class_script_editor.html">ScriptEditor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df5/workbench_api_8c_source.html#l00029">workbenchApi.c:30</a></div></div>
<div class="ttc" id="aclass_script_editor_html_ac0d484a98586cf07d3450170acc050cc"><div class="ttname"><a href="../../db/d81/class_script_editor.html#ac0d484a98586cf07d3450170acc050cc">ScriptEditor::GetCurrentFile</a></div><div class="ttdeci">proto external bool GetCurrentFile(out string filename)</div></div>
<div class="ttc" id="aclass_script_editor_html_ad6924679b247b967e10296d00298b907"><div class="ttname"><a href="../../db/d81/class_script_editor.html#ad6924679b247b967e10296d00298b907">ScriptEditor::GetCurrentLine</a></div><div class="ttdeci">proto native external int GetCurrentLine()</div></div>
<div class="ttc" id="aclass_workbench_html"><div class="ttname"><a href="../../d6/d1a/class_workbench.html">Workbench</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df5/workbench_api_8c_source.html#l00006">workbenchApi.c:7</a></div></div>
<div class="ttc" id="aclass_workbench_html_a58d4659a0977ae97e7427040c73b89bf"><div class="ttname"><a href="../../d6/d1a/class_workbench.html#a58d4659a0977ae97e7427040c73b89bf">Workbench::RunCmd</a></div><div class="ttdeci">static proto native int RunCmd(string command, bool wait=false)</div></div>
<div class="ttc" id="aclass_workbench_html_a8a71da4c69345bc6989c74a240443851"><div class="ttname"><a href="../../d6/d1a/class_workbench.html#a8a71da4c69345bc6989c74a240443851">Workbench::GetModule</a></div><div class="ttdeci">static proto native WBModuleDef GetModule(string type)</div></div>
<div class="ttc" id="aclass_workbench_html_ab5d8eda73e7fe5071bc9ec75d0f06915"><div class="ttname"><a href="../../d6/d1a/class_workbench.html#ab5d8eda73e7fe5071bc9ec75d0f06915">Workbench::ScriptDialog</a></div><div class="ttdeci">static proto int ScriptDialog(string caption, string text, Class data)</div></div>
<div class="ttc" id="aclass_workbench_html_af761e45de778987e066a89a4f7418ee0"><div class="ttname"><a href="../../d6/d1a/class_workbench.html#af761e45de778987e066a89a4f7418ee0">Workbench::GetAbsolutePath</a></div><div class="ttdeci">static proto bool GetAbsolutePath(string relativePath, out string absPath)</div></div>
<div class="ttc" id="aclass_workbench_plugin_attribute_html"><div class="ttname"><a href="../../d9/d5e/class_workbench_plugin_attribute.html">WorkbenchPluginAttribute</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df5/workbench_api_8c_source.html#l00128">workbenchApi.c:129</a></div></div>
<div class="ttc" id="aclass_workbench_plugin_html"><div class="ttname"><a href="../../d3/d91/class_workbench_plugin.html">WorkbenchPlugin</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df5/workbench_api_8c_source.html#l00101">workbenchApi.c:102</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_d3/d0d/class_attribute"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#d3/d0d/class_attribute">Attribute</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00805">EnEntity.c:806</a></div></div>
<div class="ttc" id="agroup___strings_html_ga0280be725f595b7267367ded2b7c1725"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga0280be725f595b7267367ded2b7c1725">string::Replace</a></div><div class="ttdeci">proto int Replace(string sample, string replace)</div><div class="ttdoc">Replace all occurrances of 'sample' in 'str' by 'replace'.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_a2be8cccf2f3312bf3d37479bcbda959.html">editor</a></li><li class="navelem"><a class="el" href="../../dir_5a13a783ffdb9734283a79b935734b20.html">Workbench</a></li><li class="navelem"><a class="el" href="../../d9/d6e/_blame_tool_8c.html">BlameTool.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
